Holger's Java API

## com.antelmann.crm
Class FriendsEntry<T extends DBEntry>

    java.lang.Object
      com.antelmann.db.AbstractDBEntry
          com.antelmann.db.DefaultEntryRelationship
              com.antelmann.db.DefaultSpecialRelationship<T,T,String>
                  com.antelmann.crm.FriendsEntry<T>

All Implemented Interfaces:
  DBEntry, EntryRelationship, SpecialRelationship<T,T,String>, LifeCycleObject, Serializable

    public abstract class FriendsEntry<T extends DBEntry>

extends DefaultSpecialRelationship<T,T,String>

Since:
  03.11.2011, 16:02:40
Author:
  holger
See Also:
  Serialized Form

Field Summary
`static String` `TYPE`

Fields inherited from interface com.antelmann.db.DBEntry
`ENTRY_FLAVOR, ENTRY_LIST_FLAVOR`

Constructor Summary
`FriendsEntry(Object id, EntryRelationship er, Class<T> type)`
`FriendsEntry(Object id, Stub<T> person, Stub<T> friend)`

Method Summary

Methods inherited from class com.antelmann.db.DefaultSpecialRelationship
`getFromReference, getRelationType, getToReference`

Methods inherited from class com.antelmann.db.DefaultEntryRelationship
`getBeginTime, getComment, getEndTime, getFromReferenceString, getRelationOption, getReverseRelationship, getToReferenceString, isBidirectional, isBroken, sameAs, setBeginTime, setComment, setEndTime, setRelationOption, toString`

Methods inherited from class com.antelmann.db.AbstractDBEntry
`equals, getID, hashCode, hashEntry, sameEntry`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.antelmann.db.EntryRelationship
`getComment, getRelationOption, isBidirectional`

Methods inherited from interface com.antelmann.db.DBEntry
`getID`

Methods inherited from interface com.antelmann.util.LifeCycleObject
`getBeginTime, getEndTime`

Field Detail

### TYPE

    public static final String TYPE

See Also:
  Constant Field Values

Constructor Detail

### FriendsEntry

    public FriendsEntry(Object id,
                        Stub<T> person,
                        Stub<T> friend)

### FriendsEntry

    public FriendsEntry(Object id,
                        EntryRelationship er,
                        Class<T> type)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads